## elinks 0.12~pre6

=== Makefile ===
top_builddir=.
-include $(top_builddir)/Makefile.config

SUBDIRS = doc src
SUBDIRS-$(CONFIG_NLS) += po
CLEAN	= features.log
calltest = $1-$1

all-recursive: config.h

# Automagically rerun autotools
$(top_builddir)/config.status: $(top_srcdir)/configure
	cd $(top_builddir) && $(SHELL) ./config.status --recheck

ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
$(ACLOCAL_M4): $(top_srcdir)/configure.in $(top_srcdir)/acinclude.m4
	cd $(top_srcdir) && $(ACLOCAL)

$(top_srcdir)/configure: $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOCONF)

# Makefile.config doesn't need a separate timestamp file because
# touching it doesn't directly cause other files to be rebuilt.
$(top_builddir)/Makefile.config: $(top_srcdir)/Makefile.config.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=Makefile.config CONFIG_HEADERS= \
	     $(SHELL) ./config.status

$(top_builddir)/config.h: $(top_builddir)/stamp-h
	@cd $(top_builddir) && \
	if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi

$(top_builddir)/stamp-h: $(top_srcdir)/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h 2> /dev/null

$(top_srcdir)/config.h.in: $(top_srcdir)/stamp-h.in
	@if test ! -f $@; then \
		rm -f $(top_srcdir)/stamp-h.in; \
		$(MAKE) $(top_srcdir)/stamp-h.in; \
	else :; fi

$(top_srcdir)/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(top_srcdir)/stamp-h.in 2> /dev/null


# Makefile.lib heavily uses $(call ...), which was added in GNU Make 3.78.
# An elinks-users post on 2007-12-04 reported trouble with GNU Make 3.68.
# Detect this situation and give an error message.  $(MAKECMDGOALS) is
# only defined by 3.76 and later, so specify the "all" target as well.
# This check has been tested with GNU Make 3.68, 3.77, 3.78.1, and 3.81.
ifneq ($(call calltest,ok),ok-ok)
$(MAKECMDGOALS) default all:
	@echo >&2 "You need GNU Make 3.78 or later"
	@false
else
ifeq ($(wildcard Makefile.config),)
# Catch all
$(MAKECMDGOALS) default:
	@echo "You need to first run ./configure"
else
include $(top_srcdir)/Makefile.lib
endif
endif

=== doc/Makefile ===
top_builddir=..
include $(top_builddir)/Makefile.config

SUBDIRS = man

# A little trick to simplify some of the rules.
VPATH = $(builddir):$(srcdir):$(top_srcdir)/contrib/perl

docdir = $(datadir)/doc

# Used by install-doc
HTML_DIR = $(DESTDIR)$(docdir)/$(PACKAGE)/html
PDF_DIR  = $(DESTDIR)$(docdir)/$(PACKAGE)/pdf
TXT_DIR  = $(DESTDIR)$(docdir)/$(PACKAGE)/txt

ASCIIDOC_CONF  = $(srcdir)asciidoc.conf
ASCIIDOC_FLAGS += --no-conf -f $(srcdir)tools/asciidoc/asciidoc.conf \
		  -f $(srcdir)tools/asciidoc/$(call backend).conf \
		  -f $(ASCIIDOC_CONF) \
		  -a "builddir=$(CURDIR)/" \
		  -a elinks_version=$(VERSION)

#############################################################################
# Build files

TXT_DOCS_NOINSTALL = \
 features.txt \
 keymap-actions.txt \
 keymap-defaults.txt \

TXT_DOCS_ASIS = \
 python.txt

HTML_DOCS-$(CONFIG_ASCIIDOC) += \
 elinks.1.html \
 elinks.conf.5.html \
 elinkskeys.5.html \
 hacking.html \
 manual.html

HTML_DOCS-$(CONFIG_XMLTO) += \
 manual.html-chunked

HTML_DOCS-$(CONFIG_POD2HTML) += \
 perl.html \
 perl-hooks.html

# We don't nowadays run pod2html on the po/perl/ scripts, because
# "make install" does not install them and they do not have the .pl
# suffix expected by the pod2html rule below.

MAN_DOCS-$(CONFIG_XMLTO) += \
 elinks.1 \
 elinks.conf.5 \
 elinkskeys.5

# Use jw for generating PDF, since xmlto seems to freak out.
PDF_DOCS-$(CONFIG_JW) += \
 manual.pdf

API_DOCS-$(CONFIG_DOXYGEN) += \
 api/doxygen

#############################################################################
## Set the default doc rules

MAN_DOCS  = $(MAN_DOCS-yes)
HTML_DOCS = $(HTML_DOCS-yes)
PDF_DOCS  = $(PDF_DOCS-yes)
API_DOCS  = $(API_DOCS-yes)

txt:  $(TXT_DOCS_NOINSTALL)
html: txt $(HTML_DOCS)
pdf:  txt $(PDF_DOCS)
man:  txt $(MAN_DOCS)
api:  $(API_DOCS)

all-docs: man html pdf

install-doc: all-docs update-man install
	@$(foreach doc,$(HTML_DOCS), \
		if test -d $(doc); then \
			$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/html/$(doc); \
			$(call ncmd,installdata,$(doc)/*,$(HTML_DIR)/$(doc)); \
		else \
			$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/html; \
			$(call ncmd,installdata,$(doc),$(HTML_DIR)); \
		fi;)
	@$(foreach doc,$(PDF_DOCS), \
		$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/pdf; \
		$(call ncmd,installdata,$(doc),$(PDF_DIR));)
	@$(foreach doc,$(TXT_DOCS_ASIS), \
		$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/txt; \
		$(call ncmd,installdata,$(srcdir)$(doc),$(TXT_DIR));)

update-man: man
	@$(if $(MAN_DOCS), \
		$(call ncmd,installdata,elinks.1,$(srcdir)man/man1/elinks.1.in); \
		$(call ncmd,installdata,elinkskeys.5,$(srcdir)man/man5/); \
		$(call ncmd,installdata,elinks.conf.5,$(srcdir)man/man5/))

clean-local:
	@$(RM) -r api $(TXT_DOCS_NOINSTALL) $(MAN_DOCS) $(HTML_DOCS) $(PDF_DOCS) *.tmp *.xml

# TODO: perl.pod should be pod2ized during make install. --pasky
install-local:

#############################################################################
# Generated asciidoc files

# Scripts and Dependencies
HELP2XML = $(srcdir)tools/help2xml
CONF2DOC = $(srcdir)tools/conf2doc
KEYS2DOC = $(srcdir)tools/keys2doc
ELINKS	 = $(top_builddir)/src/elinks
FEATURES = $(top_srcdir)/features.conf
KBDBIND	 = $(top_srcdir)/src/config/kbdbind.c

# Locale env vars to override system one to ensure commands
# using elinks binary will generate texts in english
LOCALES = LC_ALL=C LANGUAGE=en

# FIXME: Keep generated .txt files relative to the source directory and files
# they are included in.
quiet_cmd_help2xml = ' [$(LINK_COLOR)HELP2XML$(END_COLOR)]   $(RELPATH)$@'
      cmd_help2xml = $(LOCALES) $(HELP2XML) $(ELINKS) $@

quiet_cmd_conf2doc = ' [$(LINK_COLOR)CONF2DOC$(END_COLOR)]   $(RELPATH)$@'
      cmd_conf2doc = $(LOCALES) $(CONF2DOC) $(FEATURES) > $@

quiet_cmd_keys2doc = ' [$(LINK_COLOR)KEYS2DOC$(END_COLOR)]   $(RELPATH)$@'
      cmd_keys2doc = $(LOCALES) $(KEYS2DOC) $(KBDBIND) $@ > $@

features.txt: $(FEATURES) $(CONF2DOC)
	$(call cmd,conf2doc)

keymap-%.txt: $(KBDBIND) $(KEYS2DOC)
	$(call cmd,keys2doc)

option-%.frag.xml: $(ELINKS) $(HELP2XML)
	$(call cmd,help2xml)

option-%.frag.xhtml: $(ELINKS) $(HELP2XML)
	$(call cmd,help2xml)

#############################################################################
# Build commands and macros

      quiet_cmd_jw = '       [$(LINK_COLOR)JW$(END_COLOR)]   $(RELPATH)$@'
            cmd_jw = $(JW) -b $(2) $<

   quiet_cmd_xmlto = '    [$(LINK_COLOR)XMLTO$(END_COLOR)]   $(RELPATH)$@'
         cmd_xmlto = $(XMLTO) -o $(call outdir) $(3) $(2) $<

quiet_cmd_pod2html = ' [$(LINK_COLOR)POD2HTML$(END_COLOR)]   $(RELPATH)$@'
      cmd_pod2html = $(POD2HTML) --outfile=$@ < $<

quiet_cmd_asciidoc = ' [$(LINK_COLOR)ASCIIDOC$(END_COLOR)]   $(RELPATH)$@'
      cmd_asciidoc = $(ASCIIDOC) $(ASCIIDOC_FLAGS) -b $(call backend) -d $(call doctype) -o $@ $<

 quiet_cmd_doxygen = ' [$(LINK_COLOR)DOXYGEN$(END_COLOR)]   $(RELPATH)$@'
       cmd_doxygen = $(DOXYGEN) $(2)

# Based on $@ find out asciidoc doctype or backend + xmlto output dir.
doctype = $(if $(findstring .1.,$@)$(findstring .5.,$@),manpage,book)
backend = $(if $(findstring .xml,$@),docbook,xhtml11)
outdir  = $(if $(findstring -chunked,$@),$@,.)

# Loosely track dependencies via asciidoc includes.
asciidoc_dep = sed -n 's/[{]builddir}//g;s@include1\{0,1\}::\(.*\)\[.*@$@: $< \1@p' < $< > .deps/$(@F).asciidoc

-include .deps/*.asciidoc


#############################################################################
# Build recipies

%.html: %.txt $(ASCIIDOC_CONF)
	$(call cmd,asciidoc,xhtml11)
	@-$(call asciidoc_dep)

%.xml: %.txt $(ASCIIDOC_CONF)
	$(call cmd,asciidoc,docbook)
	@-$(call asciidoc_dep)

# asciidoc_dep above also generates these dependencies, but it runs
# only after asciidoc has succeeded, which won't happen if the files
# are missing.
elinks.1.xml: option-command.frag.xml
elinks.conf.5.xml: option-config.frag.xml
elinks.1.html: option-command.frag.xhtml
elinks.conf.5.html: option-config.frag.xhtml

%.1: %.1.xml
	$(call cmd,xmlto,man)

%.5: %.5.xml
	$(call cmd,xmlto,man)

%.html-chunked: %.xml
	$(call cmd,xmlto,html)

%.pdf: %.xml
	$(call cmd,jw,pdf)

%.html: %.pod
	$(call cmd,pod2html)

perl-%.html: %.pl
	$(call cmd,pod2html)

Doxyfile: $(srcdir)Doxyfile.in $(top_srcdir)/configure.in
	cd $(top_builddir) && \
	CONFIG_FILES="$(RELPATH)$@" CONFIG_HEADERS= $(SHELL) ./config.status

api/doxygen: Doxyfile $(shell find $(top_srcdir)/src/ -name '*.[ch]' -o -name options.inc -o -name 'actions-*.inc' | sort)
	$(call cmd,doxygen,$<)

include $(top_srcdir)/Makefile.lib

=== src/Makefile ===
top_builddir=..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_BOOKMARKS)	+= bookmarks
SUBDIRS-$(CONFIG_COOKIES)	+= cookies
SUBDIRS-$(CONFIG_DOM)		+= dom
SUBDIRS-$(CONFIG_ECMASCRIPT)	+= ecmascript
SUBDIRS-$(CONFIG_FORMHIST)	+= formhist
SUBDIRS-$(CONFIG_GLOBHIST)	+= globhist
SUBDIRS-$(CONFIG_SCRIPTING)	+= scripting

SUBDIRS = \
 bfu \
 cache \
 config \
 dialogs \
 document \
 encoding \
 intl \
 main \
 mime \
 network \
 osdep \
 protocol \
 session \
 terminal \
 util \
 viewer

# Get the GIT HEAD ID if possible
ifdef GIT
GITDESC  = $(shell $(GIT) --git-dir=$(top_srcdir)/.git rev-parse HEAD 2>/dev/null)
WTDIRTY  = $(shell cd "$(top_srcdir)" && $(GIT) diff-index HEAD 2>/dev/null)
BUILD_ID = $(subst elinks-,,$(GITDESC))$(if $(WTDIRTY),-dirty)
endif
INCLUDES += -DBUILD_ID="\"$(BUILD_ID)\""

vernum.o: $(LIB_O_NAME)

elinks: $(LIB_O_NAME) vernum.o
	$(call cmd,link)

# Place the TAGS file in the source directory so that, if the same
# source is built for different configurations in different build
# directories, one doesn't have to remember which of those build
# directories has the most recent TAGS.
TAGS:
	cd $(firstword $(srcdir) .) \
	&& find . \( -name "*.[ch]" -o -name "*.inc" \) -print \
	| etags --regex='{c}/\(?:static \)?INIT_LIST_OF([^,]*,[ \t]*\([[:alnum:]_]+\))/\1/' \
		--regex='{c}/struct_hierbox_browser(\n[ \t]*\([[:alnum:]_]+\),/\1/m' \
		--regex='{c}/^ACTION_(\([[:alnum:]_]+\),[^,]*,[ \t]*\([[:alnum:]_]+\),/ACT_\1_\2/' \
		--language=c -

tags:
	cd $(firstword $(srcdir) .) \
	&& find . \( -name "*.[ch]" -o -name "*.inc" \) -print \
	| ctags -L -

.PHONY: TAGS tags

PROGS = elinks
CLEAN = vernum.o TAGS tags

include $(top_srcdir)/Makefile.lib

=== src/config/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = cmdline.o conf.o dialogs.o home.o kbdbind.o options.o opttypes.o timer.o urlhist.o

include $(top_srcdir)/Makefile.lib

=== src/dialogs/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_EXMODE) += exmode.o

OBJS = document.o download.o edit.o info.o menu.o options.o progress.o status.o

include $(top_srcdir)/Makefile.lib

=== src/document/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_CSS)	+= css
SUBDIRS-$(CONFIG_DOM)	+= dom

SUBDIRS = html plain

OBJS = docdata.o document.o format.o forms.o options.o refresh.o renderer.o

include $(top_srcdir)/Makefile.lib

=== src/ecmascript/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config
INCLUDES += $(SPIDERMONKEY_CFLAGS)

SUBDIRS-$(CONFIG_ECMASCRIPT_SMJS)	+= spidermonkey

OBJS-$(CONFIG_ECMASCRIPT_SMJS)		+= spidermonkey.o

ifeq ($(CONFIG_ECMASCRIPT_SMJS), yes)
CONFIG_ANY_SPIDERMONKEY = yes
else ifeq ($(CONFIG_SCRIPTING_SPIDERMONKEY), yes)
CONFIG_ANY_SPIDERMONKEY = yes
else
CONFIG_ANY_SPIDERMONKEY = no
endif

OBJS-$(CONFIG_ANY_SPIDERMONKEY) += spidermonkey-shared.o

OBJS	= ecmascript.o location-goto.o

include $(top_srcdir)/Makefile.lib

=== src/encoding/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_BZIP2)	+= bzip2.o
OBJS-$(CONFIG_GZIP)	+= deflate.o
OBJS-$(CONFIG_LZMA)	+= lzma.o

OBJS = encoding.o

include $(top_srcdir)/Makefile.lib

=== src/globhist/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = globhist.o dialogs.o

include $(top_srcdir)/Makefile.lib

=== src/protocol/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_BITTORRENT)	+= bittorrent
SUBDIRS-$(CONFIG_FINGER)	+= finger
SUBDIRS-$(CONFIG_FSP)		+= fsp
SUBDIRS-$(CONFIG_FTP)		+= ftp
SUBDIRS-$(CONFIG_GOPHER)	+= gopher
SUBDIRS-$(CONFIG_NNTP)		+= nntp
SUBDIRS-$(CONFIG_SMB)		+= smb
SUBDIRS-$(CONFIG_URI_REWRITE)	+= rewrite

SUBDIRS = auth file http test

OBJS-$(CONFIG_DATA)		+= data.o

OBJS = about.o common.o date.o header.o protocol.o proxy.o uri.o user.o

include $(top_srcdir)/Makefile.lib

=== src/terminal/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_MOUSE) += mouse.o

OBJS = \
 color.o \
 draw.o \
 event.o \
 hardio.o \
 kbd.o \
 screen.o \
 tab.o \
 terminal.o \
 window.o

include $(top_srcdir)/Makefile.lib

=== src/util/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

INCLUDES += $(GNUTLS_CFLAGS) $(OPENSSL_CFLAGS)

OBJS-$(call not,$(CONFIG_SMALL))	 += fastfind.o
OBJS-$(CONFIG_CSS)			 += scanner.o
OBJS-$(CONFIG_DEBUG)			 += memdebug.o
OBJS-$(CONFIG_DOM)			 += scanner.o

# Use own MD5 implementation if testing libc or there's no OpenSSL
# (either the real thing or GNUTLS compat wrappers).
OBJS-$(CONFIG_OWN_LIBC)			 += md5.o
ifeq ($(CONFIG_GNUTLS_OPENSSL_COMPAT),no)
OBJS-$(call not,$(CONFIG_OPENSSL))	 += md5.o
endif

ifeq ($(CONFIG_BITTORRENT),yes)
# BitTorrent is the only user. Compile in SHA1 if testing libc or
# there is no OpenSSL. The GNUTLS OpenSSL wrappers doesn't have it.
OBJS-$(CONFIG_OWN_LIBC)			 += sha1.o
OBJS-$(call not,$(CONFIG_OPENSSL))	 += sha1.o
endif

OBJS = \
 base64.o \
 color.o \
 conv.o \
 env.o \
 error.o \
 file.o \
 hash.o \
 memlist.o \
 memory.o \
 secsave.o \
 snprintf.o \
 string.o \
 time.o

include $(top_srcdir)/Makefile.lib

=== debian/changelog ===
elinks (0.12~pre6-4ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/elinks.config: Change Debian to Ubuntu for user agent.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 11 Dec 2013 00:10:17 -0500

elinks (0.12~pre6-4) unstable; urgency=low

  * Switch to source format 3 (quilt) and drop previously used custom
    patch system
  * Remove 01_setup-bugs-FSSTND.diff (don't hide upstream bugzilla, users
    are smart enough to choose the appropriate BTS)
  * Cleanup www-browser alternative upon removal, thanks Andreas Beckmann!
    (Closes: #730056)
  * Copy full license for the BSD-licensed code and stop referring to
    /usr/share/common-licenses/BSD, spotted by Lintian
  * Add Replaces/Breaks for old elinks-lite packages, thanks Andreas Beckmann!
    (Closes: #730265)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 21 Nov 2013 00:20:46 +0100

elinks (0.12~pre6-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/elinks.config: Change Debian to Ubuntu for useragent
  * Dropped change as its incorported in debian:
    - debian/patches/08_524696_fix_imdb_urls.diff: Patch modified to
      add DEP-3 headers and sent to Debian.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 24 Nov 2013 19:43:42 +0530

elinks (0.12~pre6-3) unstable; urgency=low

  * Flip Maintainers/Uploaders, Giridhar has been inactive for a while
  * Drop the elinks-lite package. It was introduced nearly ten years ago
    and the potential saving in disk space is negligable these days.
    Also, many of the previously used external libs/bindings (Guile, 
    Ruby, Spidermonkey and Python) are no longer used in the current
    elinks package. elinks-lite is now a transition package to elinks.
  * Fix smart url for current IMDB site, thanks to Matthew Fischer for
    the patch (Closes: #728143)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 13 Nov 2013 22:55:35 +0100

elinks (0.12~pre6-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/08_524696_fix_imdb_urls.diff: Patch modified to
        add DEP-3 headers and sent to Debian.
    - debian/elinks.config: Change Debian to Ubuntu for useragent

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Mon, 28 Oct 2013 13:59:09 -0700

elinks (0.12~pre6-2) unstable; urgency=low

  * Remove 05_skip-xmlto-validation.diff, no longer needed. Thanks to
    Ahmed El-Mahmoudy for the report.
  * Pass --disable-silent-rules to configure to avoid silent build
    logs. Tools like blhc and toolchain maintainers need full logs.

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 18 Sep 2013 16:43:12 +0200

elinks (0.12~pre6-1ubuntu2) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 14:53:53 +0100

elinks (0.12~pre6-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/08_524696_fix_imdb_urls.diff: imdb.com/Find no longer
      works, fixing imdb url.
    - debian/elinks.config: Change Debian to Ubuntu.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 13 May 2013 18:51:16 -0400

elinks (0.12~pre6-1) unstable; urgency=low

  * New upstream release
    - Dropped 10-CVE-2012-4545.diff (included upstream)	 
    - Dropped 07-big-endian-64-bit.diff	 
  * Standards-Version 3.9.4 (no changes needed)
	
 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 09 May 2013 01:18:18 +0200

elinks (0.12~pre5-9ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1074357).  Remaining changes:
    - imdb.com/Find no longer works, fixing imdb url (LP: #524696)
      * renamed 07_524696_fix_imdb_urls.diff to 08_524696_fix_imdb_urls.diff
    - debian/elinks.config: Change Debian to Ubuntu, thanks to Y
      Giridhar Appaji Nag (LP: #241022)

 -- Vibhav Pant <vibhavp@gmail.com>  Mon, 05 Nov 2012 22:39:37 +0100

elinks (0.12~pre5-9) unstable; urgency=medium

  * Fix CVE-2012-4545

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 01 Nov 2012 10:53:19 +0100

elinks (0.12~pre5-8ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (fixing build failure).  Remaining changes:
    - imdb.com/Find no longer works, fixing imdb url (LP: #524696)
      * renamed 07_524696_fix_imdb_urls.diff to 08_524696_fix_imdb_urls.diff
    - debian/elinks.config: Change Debian to Ubuntu, thanks to Y
      Giridhar Appaji Nag (LP: #241022)

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Sep 2012 15:25:19 +0200

elinks (0.12~pre5-8) unstable; urgency=low

  * Apply patch from Guillem Jover to switch to Lua 5.1, thanks!
    (Closes: #674617)
  * Enable pie and znow
  * Disable support for Ruby scripting, which is not yet compatible
    with Ruby 1.9. This has always been an esoteric feature anyway
    (Closes: #676119)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 27 May 2012 12:17:42 +0200

elinks (0.12~pre5-7ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - imdb.com/Find no longer works, fixing imdb url (LP: #524696)
      * renamed 07_524696_fix_imdb_urls.diff to 08_524696_fix_imdb_urls.diff
    - debian/elinks.config: Change Debian to Ubuntu, thanks to Y
      Giridhar Appaji Nag (LP: #241022)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2012 09:33:06 -0500

elinks (0.12~pre5-7) unstable; urgency=low

  * Fix handling of CPPFLAGS, thanks to Simon Ruderich (Closes: #652449)
    I won't enable pie and znow for now, they'll be activated in the
    default flags at some point.	 

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 19 Dec 2011 23:47:27 +0100

elinks (0.12~pre5-6) unstable; urgency=low

  * Remove now obsolete 06_551238_SMJS-FTBFS.diff patch
  * Stop using a hardcoded list of non-Linux architectures 
    for the GPM dependency (Closes: #634376)
  * Stop using deprecated GNU TLS functions. Backport upstream
    commits by Kalle Olavi Niemitalo. Thanks to Andreas Metzler
    for the report (Closes: #624064, Closes: #624084)


=== debian/control ===
Source: elinks
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Moritz Muehlenhoff <jmm@debian.org>
Uploaders: Y Giridhar Appaji Nag <appaji@debian.org>
Build-Depends: debhelper, libtre-dev, libgnutls-dev, libidn11-dev,
	libfsplib-dev, libgpm-dev [linux-any],
	liblua5.1-dev, libbz2-dev, libexpat1-dev (>= 1.95.6),
	libperl-dev, libkrb5-dev, gettext,
	autotools-dev, python, xmlto, docbook-utils, pkg-config
Build-Conflicts: libgc-dev
Standards-Version: 3.9.4
Homepage: http://elinks.cz/

Package: elinks
Architecture: any
Depends: ${shlibs:Depends}, elinks-data (= ${source:Version}), ${misc:Depends}
Suggests: elinks-doc
Provides: www-browser
Description: advanced text-mode WWW browser
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming

Package: elinks-data
Architecture: all
Depends: ${misc:Depends}
Recommends: elinks (= ${source:Version})
Conflicts: elinks (<< 0.11.3-1)
Replaces: elinks (<< 0.11.3-1), elinks-lite (<< 0.12~pre6-3)
Breaks: elinks-lite (<< 0.12~pre6-3)
Description: advanced text-mode WWW browser - data files
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming
 .
 This package contains the data files that are necessary to use ELinks.

Package: elinks-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: elinks
Conflicts: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
Description: advanced text-mode WWW browser - documentation
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming
 .
 This package contains the documentation and manuals for ELinks.

Package: elinks-lite
Priority: extra
Architecture: any
Depends: elinks
Description: advanced text-mode WWW browser (transition package)
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
 This is a transition package for the move from elinks-lite to elinks.
 It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DH_ALWAYS_EXCLUDE=.gitignore
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

version=`dpkg-parsechangelog -ldebian/changelog | grep 'Version: ' | sed 's/Version: //g'`

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS_COMMON=-g
CFLAGS_COMMON += `dpkg-buildflags --get CFLAGS`

LDFLAGS_COMMON="-Wl,-z,defs"
LDFLAGS_COMMON += `dpkg-buildflags --get LDFLAGS`

CPPFLAGS_COMMON = `dpkg-buildflags --get CPPFLAGS`

confopts = --prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--sysconfdir=/etc/elinks \
	--without-lzma \
	--without-openssl \
	--without-x \
	--enable-finger \
	--with-gnutls=/usr \
	--disable-nntp \
	--enable-88-colors \
	--enable-256-colors \
	--enable-leds \
	--enable-html-highlight \
	--enable-fsp \
	--disable-smb \
	--with-perl \
	--without-guile \
	--without-python \
	--without-ruby \
	--with-gssapi \
	--enable-cgi \
	--disable-exmode \
	--disable-bittorrent \
	--disable-debug \
	--without-spidermonkey

save-upstream: save-stamp

save-stamp:
	dh_testdir
	rm -f debian/elinks.conf
	cat debian/elinks.config | sed "s/%v/$(version)/g" > debian/elinks.conf
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	[ ! -f config/config.sub ] || mv -f config/config.sub config/config.sub.ups
	cp -f /usr/share/misc/config.sub config/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	[ ! -f config/config.guess ] || mv -f config/config.guess config/config.guess.ups
	cp -f /usr/share/misc/config.guess config/config.guess
endif
	[ ! -f config.h ] || mv -f config.h config.h.ups
	[ ! -f Makefile.config ] || mv -f Makefile.config Makefile.config.ups
	[ ! -f doc/man/man1/elinks.1.in ] || cp -af doc/man/man1/elinks.1.in doc/man/man1/elinks.1.in.ups
	[ ! -f doc/man/man5/elinks.conf.5 ] || cp -af doc/man/man5/elinks.conf.5 doc/man/man5/elinks.conf.5.ups
	[ ! -f doc/man/man5/elinkskeys.5 ] || cp -af doc/man/man5/elinkskeys.5 doc/man/man5/elinkskeys.5.ups
	touch $@

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: save-stamp
	mkdir $(CURDIR)/build-main && cd $(CURDIR)/build-main && \
		$(CURDIR)/configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		$(confopts) CPPFLAGS="$(CPPFLAGS_COMMON)" CFLAGS="$(CFLAGS_COMMON)" LDFLAGS="$(LDFLAGS_COMMON)"
	$(MAKE) -C $(CURDIR)/build-main V=1
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: save-stamp
	$(MAKE) -C $(CURDIR)/build-main/doc all-docs
	touch $@

clean: clean-patched
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp save-stamp
	rm -rf build-main
	[ ! -f doc/man/man5/elinkskeys.5.ups ] || mv -f doc/man/man5/elinkskeys.5.ups doc/man/man5/elinkskeys.5
	[ ! -f doc/man/man5/elinks.conf.5.ups ] || mv -f doc/man/man5/elinks.conf.5.ups doc/man/man5/elinks.conf.5
	[ ! -f doc/man/man1/elinks.1.in.ups ] || mv -f doc/man/man1/elinks.1.in.ups doc/man/man1/elinks.1.in
	[ ! -f Makefile.config.ups ] || mv -f Makefile.config.ups Makefile.config
	[ ! -f config.h.ups ] || mv -f config.h.ups config.h
	[ ! -f config/config.guess.ups ] || mv -f config/config.guess.ups config/config.guess
	[ ! -f config/config.sub.ups ] || mv -f config/config.sub.ups config/config.sub
	rm -f debian/elinks.conf
	rm -rf debian/tmp.elinks-data
	rm -rf docbook2html-dir
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i
	# Move elinks arch-indep from temp location to elinks-data
	mv -f $(CURDIR)/debian/tmp.elinks-data/usr $(CURDIR)/debian/elinks-data/
	# Install elinks documentation, remove manpages (already installed in
	# elinks-data)
	$(MAKE) -C build-main/doc DESTDIR=$(CURDIR)/debian/elinks-doc install-doc
	mv -f $(CURDIR)/debian/elinks-doc/usr/share/doc/elinks $(CURDIR)/debian/elinks-doc/usr/share/doc/elinks-doc
	rm -rf $(CURDIR)/debian/elinks-doc/usr/share/man
	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	# Install elinks binaries and elinks.conf
	$(MAKE) -C build-main DESTDIR=$(CURDIR)/debian/elinks install
	install -o root -g root -p -D -m 0644 $(CURDIR)/debian/elinks.conf \
		$(CURDIR)/debian/elinks/etc/elinks/elinks.conf
	# Move elinks arch-indep parts to temp location for elinks-data
	mkdir -p $(CURDIR)/debian/tmp.elinks-data/usr/
	mv -f $(CURDIR)/debian/elinks/usr/share $(CURDIR)/debian/tmp.elinks-data/usr/
	rm -f $(CURDIR)/debian/tmp.elinks-data/usr/share/locale/locale.alias
	dh_link -pelinks usr/share/doc/elinks-data usr/share/doc/elinks
	dh_install -s
	dh_lintian -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs -Nelinks NEWS
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installmime
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch 
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch save-upstream

## elinks 0.13~20190125

=== src/bookmarks/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS = backend
OBJS	= bookmarks.o dialogs.o

include $(top_srcdir)/Makefile.lib

=== src/encoding/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 top_builddir=../..
 include $(top_builddir)/Makefile.config
 
+
+OBJS-$(CONFIG_BROTLI)	+= brotli.o
 OBJS-$(CONFIG_BZIP2)	+= bzip2.o
 OBJS-$(CONFIG_GZIP)	+= deflate.o
 OBJS-$(CONFIG_LZMA)	+= lzma.o

=== debian/changelog ===
elinks (0.13~20190125-3ubuntu1) eoan; urgency=medium

  * debian/tests/{control,basic-usage}: add basic test case (LP: #1677841)

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Thu, 15 Aug 2019 08:38:14 -0300

elinks (0.13~20190125-3) unstable; urgency=medium

  * Upload to unstable
  * Rename gitlab-ci.yaml to gitlab-ci.yml

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 10 Feb 2019 05:43:02 +0100

elinks (0.13~20190125-2) experimental; urgency=medium

  * Mention felinks fork in description
  * Disable Spidermonkey (Closes: #920924)
    mozjs185 has been removed in Debian, and upstream does not support later
    versions
  * Add gitlab-ci.yaml

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 05 Feb 2019 07:38:15 +0100

elinks (0.13~20190125-1) experimental; urgency=medium

  * New upstream release (Closes: #891575, #797931, #797934, #757631,
    #866015, #797968, #740981, #856852)
  * Add git-buildpackage conf file
  * Refreshed patches & removed patches that were includes upstream.
    Removed patches:
    08-drop-deprecated-gnutls-functions.diff
    08_524696_fix_imdb_urls.diff
    09-Switch-to-use-lua-5.1.diff
    11-fix-compat-with-gnutls36.patch
  * Add libgcrypt20-dev to build deps
  * Re-added 14_debug_disable_Werror.diff to enable development versions debug
    support
  * Added 16_POST_BUFFER_SIZE.diff patch which to enable  uploading large files
    over https:// connections.
  * Add ascii-replacement-utf8-console.diff patch to print ASCII replacement
    for characters not found in current codepage in utf8 mode
  * Enable LZMA support
  * Enable BitTorrent
  * Enable NNTP Support
  * Enable Unicode combining characters support
  * Enable EX mode support
  * Enable SpiderMonkey support
  * Enable terminfo support
  * Build documentation
  * Build with libev
  * Bumped to compat level 12.
    No need to have dh-autoreconf, autotools-dev from build deps
    Also no need to explicitly call the respective sequences in rules
  * Remove old upstream gpg key.
  * Remove whitespaces
  * Renamed elinks.config to elinks.conf, old name confused build scrips
  * debian/rules: Override dh_installexamples to exclude .gitignore
  * Add typos.diff patch to fix spelling mistakes
  * debian/control:
    + Replace Conflicts with Breaks+Replaces
    + Update standards version to 4.3.0
    + New maintainer (Closes: #917406)
    + Add Vcs-* fields
  * Add upstream metadata
  * Switch to DEP-5 copyright format
  * Disable pristine-tar, since we are getting the release from upstream git

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 26 Jan 2019 02:53:52 +0100

elinks (0.12~pre6-14) unstable; urgency=medium

  * Orphan package
  * Disable openpgp certificate support, fixes compatability with
    gnutls 3.6, thanks to Andreas and Dimitri (Closes: #879539)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 26 Dec 2018 23:49:50 +0100

elinks (0.12~pre6-13) unstable; urgency=medium

  * Mark elinks-data and elinks-doc Multi-Arch: foreign, thanks to
    Helmut Grohne (Closes: #862197)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 12 Nov 2017 21:28:57 +0100

elinks (0.12~pre6-12) unstable; urgency=medium

  * Fix maint script (Closes: #788160)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 23 Oct 2016 21:17:47 +0200

elinks (0.12~pre6-11) unstable; urgency=medium

  * Add maint script for dir_to_symlink (Closes: #788160)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 28 Nov 2015 09:31:42 +0100

elinks (0.12~pre6-10) unstable; urgency=medium

  * Use autotools-dev in addition, thanks Wookey (Closes: #788321)
  * Remove Y Giridhar Appaji Nag from uploaders, inactive for quite
    a while now

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 04 Jul 2015 23:09:17 +0200

elinks (0.12~pre6-9) unstable; urgency=medium

  * Use dh-autoreconf to support arm64 (Closes: #788321)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 17 Jun 2015 23:51:53 +0200

elinks (0.12~pre6-8) unstable; urgency=medium

  * Make the build reproducible by stripping the __DATE__ and __TIME__
    macros (only used in "elinks --version").

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 07 Jun 2015 12:22:04 +0200

elinks (0.12~pre6-7) unstable; urgency=low

  * Actually bump debhelper to 9, this got lost on the way. Thanks, Simon.
    (Closes: #784194)
  * Trim postinst. Thanks, Jakub. (Closes: #784217)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 05 May 2015 22:23:54 +0200

elinks (0.12~pre6-6) unstable; urgency=low

  * Switch to a minimal rules file based on dh
  * Remove transition package elinks-lite, jessie has been released
  * Drop outdated README.source
  * Trim the installed documentation

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 03 May 2015 00:14:34 +0200

elinks (0.12~pre6-5) unstable; urgency=medium

  * Remove desktop file. Elinks is predominantly an application which
    people use who run an X-less system or which is used for scripts.
    A desktop file clutters the menu of the full-blown desktop
    environments. And the Debian menu entry still stays around anyway.
    (Closes: #748098)
  * Build against libgnutls28-dev (Closes: #753023)
  * Bump standards version
  * Convert copyright file to UTF8, spotted by Lintian
  * Trim default value for protocol.http.user_agent in default config.

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Jun 2014 17:05:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,25 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Moritz Muehlenhoff <jmm@debian.org>
-Uploaders: Y Giridhar Appaji Nag <appaji@debian.org>
-Build-Depends: debhelper, libtre-dev, libgnutls-dev, libidn11-dev,
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper (>= 12), libtre-dev, libgnutls28-dev, libgcrypt20-dev, libidn11-dev,
 	libfsplib-dev, libgpm-dev [linux-any],
-	liblua5.1-dev, libbz2-dev, libexpat1-dev (>= 1.95.6),
+	liblua5.1-dev, libbz2-dev, libexpat1-dev,
 	libperl-dev, libkrb5-dev, gettext,
-	autotools-dev, python, xmlto, docbook-utils, pkg-config
+	python, xmlto, docbook-utils, pkg-config,
+  liblzma-dev,
+  libncurses5-dev
+  ,libev-libevent-dev
 Build-Conflicts: libgc-dev
-Standards-Version: 3.9.4
+Standards-Version: 4.3.0
 Homepage: http://elinks.cz/
+Vcs-Git: https://salsa.debian.org/aelmahmoudy-guest/elinks.git
+Vcs-Browser: https://salsa.debian.org/aelmahmoudy-guest/elinks
 
 Package: elinks
 Architecture: any
 Depends: ${shlibs:Depends}, elinks-data (= ${source:Version}), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: elinks-doc
 Provides: www-browser
 Description: advanced text-mode WWW browser
@@ -31,14 +36,18 @@
   * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
   * Tables and frames rendering, and configurable color support
   * Compressed and background (non-blocking) downloads, and download resuming
+ .
+ This package is based on felinks fork, since original elinks seems to be no
+ longer maintained.
 
 Package: elinks-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: elinks (= ${source:Version})
-Conflicts: elinks (<< 0.11.3-1)
+Breaks: elinks (<< 0.11.3-1), elinks-lite (<< 0.12~pre6-3)
 Replaces: elinks (<< 0.11.3-1), elinks-lite (<< 0.12~pre6-3)
-Breaks: elinks-lite (<< 0.12~pre6-3)
 Description: advanced text-mode WWW browser - data files
  ELinks is a feature-rich program for browsing the web in text mode.  It is
  like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
@@ -58,9 +67,12 @@
 Package: elinks-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: elinks
-Conflicts: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
+Breaks: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
+Replaces: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
 Description: advanced text-mode WWW browser - documentation
  ELinks is a feature-rich program for browsing the web in text mode.  It is
  like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
@@ -76,14 +88,3 @@
   * Compressed and background (non-blocking) downloads, and download resuming
  .
  This package contains the documentation and manuals for ELinks.
-
-Package: elinks-lite
-Priority: extra
-Architecture: any
-Depends: elinks
-Description: advanced text-mode WWW browser (transition package)
- ELinks is a feature-rich program for browsing the web in text mode.  It is
- like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
- .
- This is a transition package for the move from elinks-lite to elinks.
- It can be safely removed.

=== debian/tests/control ===
Tests: basic-usage
Depends: @, nginx
Restrictions: needs-root
